> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getreditus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Referral

> Show data for a referral.



## OpenAPI

````yaml GET /v1/referrals/{id}
openapi: 3.1.0
info:
  title: Reditus API - Referrals
  description: API specification for managing referrals in Reditus affiliate programs.
  version: 1.0.0
servers:
  - url: https://api.getreditus.com/api
security: []
paths:
  /v1/referrals/{id}:
    get:
      summary: Get Referral
      description: Show data for a referral.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReferralResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    ReferralResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Referral'
    Referral:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        attributes:
          type: object
          properties:
            email:
              type: string
            state:
              type: string
            state_set_at:
              type: integer
            created_at:
              type: integer
            updated_at:
              type: integer
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````